/* Copyright (C) 2018 Pietro Albini <pietroalbini@ubuntu.com>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Affero General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

function ubuntuit_navbar_center_active() {
    var navs = document.querySelectorAll("nav");
    for (var i = 0; i < navs.length; i++) {
        var active = navs[i].querySelector(".active");
        if (active !== null) {
            var offset = active.getBoundingClientRect().left;
            navs[i].scrollBy(offset - window.innerWidth / 2 + active.offsetWidth / 2, 0);
        }
    }
};

window.addEventListener("load", ubuntuit_navbar_center_active());
